
    Device = 18F2550
    Declare Xtal = 48
    Declare Warnings = Off
    Declare Reminders = Off
    Declare Adin_Res = 10             ' Set the resolution to 10
    Declare Adin_Tad = FRC            ' Choose the RC osc for ADC samples
    Declare Adin_Stime = 100          ' Allow 100us for charge timenclude"send_USB_ADC_Data.inc"
    Declare Optimiser_Level = 0
    Dim Buffer As String * 20         ' USB buffer
    Dim AD_Result As ADRESL.Word      ' \
    Dim Value As Word                 ' |
    Dim Volts As Byte                 ' | ADC conversion variables
    Dim MilliVolts As Byte            ' /
    Dim I As Byte
    Include "Send_USB_ADC_Data.inc"
    TRISA.0 = 1                       ' Setup PORTA.0 as an input
    ADCON1 = %10001110                ' Make PORTA.0 analogue and the ADC right justified
Main:

While
        AD_Result = ADIn 0                          ' Read the ADC
        Value = 489 * (AD_Result / 10)              ' Quantasize the result
        Volts = Value / 10000                       ' Split off the Volts
        MilliVolts = (Value // 10000) / 100         ' Split off the MilliVolts
        Buffer = Str$(Dec1,Volts) + "." + Str$(Dec2,MilliVolts) + " Volts\r"    
   Send_to_com()    
Wend    
 ' Configure the 18F2550 for operation at 48MHz using a 20MHz crystal

Config_Start 
 PLLDIV = 5	          ;Divide by 5 (20 MHz oscillator input)
 CPUDIV = OSC1_PLL2	  ;[Primary Oscillator Src: /1][96 MHz PLL Src: /2]
 USBDIV = 2	          ;USB clock source comes from the 96 MHz PLL divided by 2 
 FOSC = HSPLL_HS	      ;HS oscillator, PLL enabled (HSPLL)
 FCMEN = OFF ' Fail-Safe Clock Monitor disabled 
 IESO = OFF ' Oscillator Switchover mode disabled
PWRT = On ' PWRT enabled 
 BOR = On ' Brown-out Reset enabled in hardware only 
 BORV = 3 ' Brown-out Voltage bits: Minimum setting 
 VREGEN = On	          ;USB voltage regulator enabled
 WDT = OFF ' Watchdog Timer Disabled - SW Controlled 
 WDTPS = 128 ' Watchdog Timer Postscale Select bits: 1:128 
 MCLRE = On ' MCLR pin enabled, RE3 input pin disabled 
 LPT1OSC = On ' Timer1 configured for low-power operation 
 PBADEN = OFF ' PORTB<4:0> pins are configured as digital I/O on Reset 
 CCP2MX = On ' CCP2 input/output is multiplexed with RC1 
 STVREN = OFF ' Stack full/underflow will not cause Reset 
 LVP = OFF ' Single-Supply ICSP disabled 
 XINST = OFF ' Instruction set extension disabled 
 Debug = OFF ' Background debugger disabled 
 Cp0 = OFF ' Block 0 (000800-001FFFh) not code-protected 
 CP1 = OFF ' Block 1 (002000-003FFFh) not code-protected 
 CP2 = OFF ' Block 2 (004000-005FFFh) not code-protected 
 CP3 = OFF ' Block 3 (006000-007FFFh) not code-protected 
 CPB = OFF ' Boot block (000000-0007FFh) not code-protected 
 CPD = OFF ' Data EEPROM not code-protected 
 WRT0 = OFF ' Block 0 (000800-001FFFh) not write-protected 
 WRT1 = OFF ' Block 1 (002000-003FFFh) not write-protected 
 WRT2 = OFF ' Block 2 (004000-005FFFh) not write-protected 
 WRT3 = OFF ' Block 3 (006000-007FFFh) not write-protected 
 WRTB = OFF ' Boot block (000000-0007FFh) not write-protected 
 WRTC = OFF ' Config registers (300000-3000FFh) not write-protected 
 WRTD = OFF ' Data EEPROM not write-protected 
 EBTR0 = OFF ' Block 0 not protected from table reads 
 EBTR1 = OFF ' Block 1 not protected 
 EBTR2 = OFF ' Block 2 not protected 
 EBTR3 = OFF ' Block 3 not protected 
 EBTRB = OFF ' Boot block not protected
Config_End
   
    
    
    
    
    
    
